aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/webkit/webkit-gtk/autogen.sh
diff options
context:
space:
mode:
authorKoen Kooi <koen@openembedded.org>2009-03-31 12:50:42 +0200
committerKoen Kooi <koen@openembedded.org>2009-03-31 12:50:42 +0200
commitf45c08535315277e8c2cd8b4699a1279a580b9a4 (patch)
treecc8e8088271c9c263feb6f52c993e123bd99ec43 /recipes/webkit/webkit-gtk/autogen.sh
parent43e8a1e79f6728c1c05b83b625026318743e281c (diff)
downloadopenembedded-f45c08535315277e8c2cd8b4699a1279a580b9a4.tar.gz
webkit-gtk: update to 1.1.4 release to get some more bugfixes
Diffstat (limited to 'recipes/webkit/webkit-gtk/autogen.sh')
-rw-r--r--recipes/webkit/webkit-gtk/autogen.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/recipes/webkit/webkit-gtk/autogen.sh b/recipes/webkit/webkit-gtk/autogen.sh
index f87238cf92..8f736c4a54 100644
--- a/recipes/webkit/webkit-gtk/autogen.sh
+++ b/recipes/webkit/webkit-gtk/autogen.sh
@@ -14,6 +14,14 @@ AUTOMAKE_FLAGS="--foreign --add-missing"
DIE=0
+(gtkdocize --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have gtkdocize installed to compile $PROJECT."
+ echo "Install the appropriate package for your distribution,"
+ echo "or get the source tarball at http://ftp.gnome.org/pub/GNOME/sources/gtk-doc/"
+ DIE=1
+}
+
(autoconf --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "You must have autoconf installed to compile $PROJECT."
@@ -50,6 +58,7 @@ rm -rf $top_srcdir/autom4te.cache
touch README INSTALL
+gtkdocize || exit $?
aclocal $ACLOCAL_FLAGS || exit $?
$LIBTOOLIZE $LIBTOOLIZE_FLAGS || exit $?
autoheader || exit $?